Add `gem 'sqlite3'` to your Gemfile – Ubuntu

Just started developing in Ruby on Rails. I can’t seem to find any similar issues on Ubuntu on the web. My version of sqlite3 is 1.3.10. I have tried commenting out the sqlite3 from gem file and also updated the bundles. But I am still getting this error. I need sqlite3 in my application but […]

Facebook gem for Rails app

Is there any ruby gem which can be used to see Facebook post in rails app, also allows to post through rails app. I tried this gem but it is not showing facebook page post.

Ruby byebug never stops

Ruby byebug never seems to stop in any of my code. It installed properly without errors. I did a bundle update byebug as well as gem pristine byebug. I start the rails server with this command rails s -e development Here’s the gem file source ‘’ #ruby ‘2.0.0’ gem ‘multi_json’, ‘1.7.8’ gem ‘rails’ #, ‘4.0.5’ […]

What are the Ruby Gotchas a newbie should be warned about?

I have recently learned the Ruby programming language, and all in all it is a good language. But I was quite surprised to see that it was not as simple as I had expected. More precisely, the “rule of least-surprise” did not seem very respected to me (of course this is quite subjective). For example: […]

How to run Rake tasks from within Rake tasks?

I have a Rakefile that compiles the project in two ways, according to the global variable $build_type, which can be :debug or :release (the results go in separate directories): task :build => [:some_other_tasks] do end I wish to create a task that compiles the project with both configurations in turn, something like this: task :build_all […]

S3::Error::NoSuchKey: The specified key does not exist

Im getting this error when I try and make an object. Here is my routine: service = :access_key_id => S3_ACCESS_KEY, :secret_access_key => S3_SECRET ) puts “connection established with s3” puts “finding bucket” bucket = service.buckets.find(“test”) puts “building object” object =“json_export/venues.txt”) puts “saving object” It breaks after I see “saving object” so i’m […]

could not find a valid gem 'ruby'

I’m trying to install Metasploit on Raspberry Pi model B+ as I am new to the Metasploit and the Gems environment I was following the details in this link Installing Metasploit on Raspberry, everything was working fine until I reached bundling root@ raspberrypi: ~/msf3# bundle install Don’t run Bundler as root. Bundler can ask for […]

installing gems for ruby with devkit

GEM CONFIGURATION: – :update_sources => true – :verbose => true – :backtrace => false – :bulk_threshold => 1000 – :sources => [] REMOTE SOURCES: I’m getting this error >PS C:\Windows\system32> gem sources –add Error fetching Errno::ECONNRESET: An existing connection was forcibly closed by the remote host. –

Ruby Gem Version Error

I’m not able to script/console to my rails app after upgrading from ubuntu 9.10 to 10.04 # gem list *** LOCAL GEMS *** aaronh-chronic (0.3.9) abstract (1.0.0) actionmailer (3.0.5, 2.3.10, 2.3.5) actionpack (3.0.5, 3.0.3, 2.3.10, 2.3.5) activemerchant (1.12.0, 1.9.0) activemodel (3.0.5, 3.0.3, 3.0.1) activerecord (3.0.5, 2.3.11, 2.3.10, 2.3.5) activeresource (3.0.5, 2.3.10, 2.3.5) activesupport (3.0.5, 3.0.3, […]

Ruby block and unparenthesized arguments

I extracted simple example: require ‘pp’ x = 1..3 pp do |i| {:value => i, :double => (i*2)} end pp { |i| {:value => i, :double => (i*2)} } pp( do |i| {:value => i, :double => (i*2)} end) pp( { |i| {:value => i, :double => (i*2)} }) I am wondering why […]

Ruby is the best programming language in the world - Ruby on Rails.